Keywords (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.cache.query.data

## Class Keywords

- java.lang.Object
- - org.apache.geode.cache.query.data.Keywords

- All Implemented Interfaces:
    java.io.Serializable

      public class Keywords
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `and`
    `boolean` | `distinct`
    `boolean` | `element`
    `boolean` | `from`
    `boolean` | `not`
    `boolean` | `or`
    `boolean` | `select`
    `boolean` | `type`
    `boolean` | `undefined`
    `boolean` | `where`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Keywords()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `AND()`
    `boolean` | `DISTINCT()`
    `boolean` | `ELEMENT()`
    `boolean` | `FALSE()`
    `boolean` | `FROM()`
    `boolean` | `NOT()`
    `boolean` | `OR()`
    `boolean` | `SELECT()`
    `boolean` | `TRUE()`
    `boolean` | `TYPE()`
    `boolean` | `UNDEFINED()`
    `boolean` | `WHERE()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### select

          public boolean select

    - #### distinct

          public boolean distinct

    - #### from

          public boolean from

    - #### where

          public boolean where

    - #### undefined

          public boolean undefined

    - #### element

          public boolean element

    - #### not

          public boolean not

    - #### and

          public boolean and

    - #### or

          public boolean or

    - #### type

          public boolean type

  - ### Constructor Detail

    - #### Keywords

          public Keywords()

  - ### Method Detail

    - #### SELECT

          public boolean SELECT()

    - #### DISTINCT

          public boolean DISTINCT()

    - #### FROM

          public boolean FROM()

    - #### WHERE

          public boolean WHERE()

    - #### UNDEFINED

          public boolean UNDEFINED()

    - #### ELEMENT

          public boolean ELEMENT()

    - #### TRUE

          public boolean TRUE()

    - #### FALSE

          public boolean FALSE()

    - #### NOT

          public boolean NOT()

    - #### AND

          public boolean AND()

    - #### OR

          public boolean OR()

    - #### TYPE

          public boolean TYPE()